%global srcname jaf

Name:           jakarta-activation
Version:        1.2.2
Release:        %mkrel 1
Summary:        Jakarta Activation Specification and Implementation
Group:          Development/Java
License:        BSD

URL:            https://eclipse-ee4j.github.io/jaf/
Source0:        https://github.com/eclipse-ee4j/jaf/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)

Provides:       jaf = %{version}-%{release}
Obsoletes:      jaf < 1.2.1-5

%description
Jakarta Activation lets you take advantage of standard services to:
determine the type of an arbitrary piece of data; encapsulate access to
it; discover the operations available on it; and instantiate the
appropriate bean to perform the operation(s).


%package javadoc
Summary:        Javadoc for %{name}

Provides:       jaf-javadoc = %{version}-%{release}
Obsoletes:      jaf-javadoc < 1.2.1-5

%description javadoc
This package contains javadoc for %{name}.


%prep
%setup -q -n %{srcname}-%{version}

# remove unnecessary dependency on "org.eclipse.ee4j:project" (not packaged)
%pom_remove_parent

# remove unnecessary maven plugins
%pom_remove_plugin :build-helper-maven-plugin
%pom_remove_plugin :directory-maven-plugin
%pom_remove_plugin :osgiversion-maven-plugin

# remove custom doclet configuration
%pom_remove_plugin :maven-javadoc-plugin activation

# disable demo submodule
%pom_disable_module demo

# set bundle version manually instead of with osgiversion-maven-plugin
# (the plugin is only used to strip off -SNAPSHOT or -Mx qualifiers)
sed -i "s/\${activation.osgiversion}/%{version}/g" activation/pom.xml


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE.md NOTICE.md
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md NOTICE.md



%changelog
* Wed Sep 02 2020 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1620890
- Update to version 1.2.2
- Drop custom maven-compiler-plugin overrides in favor of upstream settings
- Override javac source / target versions with 1.8 to fix build with Java 11
- Package unretired and renamed from jaf
- rename pkg from jaf to jakarta-activation

* Mon Feb 17 2020 umeabot <umeabot> 1.2.1-2.mga8
+ Revision: 1537389
- Mageia 8 Mass Rebuild

* Thu Oct 31 2019 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1456984
- mageiaify
- imported package jaf

